package com.hrsk.cloud.eg.infrastructure.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.hrsk.cloud.eg.infrastructure.repository.database.dao.EgressApiChannelDao;
import com.hrsk.cloud.eg.infrastructure.repository.database.entity.EgressApiChannelDo;
import com.hrsk.cloud.eg.infrastructure.service.EgApiChannelService;
import org.springframework.stereotype.Service;

/**
 * @author zhangyy
 * @version 1.0
 * @description: EgApiEndpointServiceImpl
 * @date 2024/8/28 11:02
 */
@Service
public class EgApiChannelServiceImpl extends ServiceImpl<EgressApiChannelDao, EgressApiChannelDo> implements EgApiChannelService {

    @Override
    public EgressApiChannelDo findByApiId(Integer apiId) {

        LambdaQueryWrapper<EgressApiChannelDo> queryWrapper=new LambdaQueryWrapper<>();
        queryWrapper.eq(EgressApiChannelDo::getApiId, apiId);
        queryWrapper.orderByDesc(EgressApiChannelDo::getId);
        queryWrapper.last("limit 1");
        EgressApiChannelDo egApiEndpointDo = baseMapper.selectOne(queryWrapper);
        if (egApiEndpointDo == null) {
            return new EgressApiChannelDo();
        }
        return egApiEndpointDo;
    }
}
